// +------------------------------------------------------------------------+
// | Artlantis CMS Solutions                                                |
// +------------------------------------------------------------------------+
// | Pan - PHP File Management System                                       |
// | Copyright (c) Artlantis Design Studio 2014. All rights reserved.       |
// | Version       2.0                                                      |
// | Last modified 11.02.14                                                 |
// | Email         developer@artlantis.net                                  |
// | Web           http://www.artlantis.net                                 |
// +------------------------------------------------------------------------+

// Image Preview Settings
$(document).ready(function(){
	$('[data-toggle="tooltip"]').tooltip();
  });
  
// Ajax
function getAjax(div,urls,txt){
	$(div).html(txt);
	$.ajax({
	  url: urls,
	  cache: false,
	  success: function(html){
		$(div).html(html);
	  }
	});
}

// Unwanted Char Filter
function repChars(text)
    {
      var wrt = new String();
      var chars = text.split("");
      for (i = 0; i < chars.length; i++) {
          chars[i]=chars[i].replace("Ç", "C");
          chars[i]=chars[i].replace("ç", "c");
          chars[i]=chars[i].replace("Ğ", "G");
          chars[i]=chars[i].replace("ğ", "g");
          chars[i]=chars[i].replace("İ", "I");
          chars[i]=chars[i].replace("ı", "i");
          chars[i]=chars[i].replace("Ö", "O");
          chars[i]=chars[i].replace("ö", "o");
          chars[i]=chars[i].replace("Ş", "S");
          chars[i]=chars[i].replace("ş", "s");
          chars[i]=chars[i].replace("Ü", "U");
          chars[i]=chars[i].replace("ü", "u");
		  chars[i]=chars[i].replace(/ /g, "_");
          wrt += chars[i];
      }
      return wrt;
    }

// Sanitize Folder ~ File Name
function getFolderName(t,d){
	// t - Target , d - Destination
	t = document.getElementById(t).value;
	t = t.toLowerCase();
	t = repChars(t);
	t = t.replace(/\s+/gi, '_');
	t = t.replace(/[^a-zA-Z0-9\-_]/gi, '');
	document.getElementById(d).value = t;
	}
	
// Get Random File Name
function getMyFileName(sl,fv){
	var chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";
	var string_length = sl;
	var randomstring = '';
	for (var i=0; i<string_length; i++) {
		var rnum = Math.floor(Math.random() * chars.length);
		randomstring += chars.substring(rnum,rnum+1);
	}
	document.getElementById(fv).value = randomstring;
	}

  
// Fancybox File Details
$(document).ready(function() {
	
    $(".fancybox").fancybox({
		autoSize : false,
        beforeLoad : function() {
			this.content   = $('#'+this.element.data('fancybox-cnt'));         
            this.width  = parseInt(this.element.data('fancybox-width'));  
            this.height = parseInt(this.element.data('fancybox-height'));
        }
    });
	
    $(".fancybox2").fancybox({
		autoSize : false,
        beforeLoad : function() {
            this.width  = parseInt(this.element.data('fancybox-width'));  
            this.height = parseInt(this.element.data('fancybox-height'));
        }
    });	
	
});

// Validate Number
function validateNumber(evt) {
    var e = evt || window.event;
    var key = e.keyCode || e.which;

    if (!e.shiftKey && !e.altKey && !e.ctrlKey &&
    // numbers   
    key >= 48 && key <= 57 ||
    // Numeric keypad
    key >= 96 && key <= 105 ||
    // Backspace and Tab and Enter
    key == 8 || key == 9 || key == 13 ||
    // Home and End
    key == 35 || key == 36 ||
    // left and right arrows
    key == 37 || key == 39 ||
    // Del and Ins
    key == 46 || key == 45) {
        // input is VALID
    }
    else {
        // input is INVALID
        e.returnValue = false;
        if (e.preventDefault) e.preventDefault();
    }
}